## cascading.tap.local
Class StdErrTap

    java.lang.Object
      cascading.tap.Tap<Config,Void,Output>
          cascading.tap.SinkTap<Properties,OutputStream>
              cascading.tap.local.StdErrTap

All Implemented Interfaces:
  FlowElement, Traceable, Serializable

    public class StdErrTap

extends SinkTap<Properties,OutputStream>

Class StdErrTap provides a local mode tap for writing data to the `stderr` stream.

See Also:
  Serialized Form

Constructor Summary
`StdErrTap(Scheme<Properties,?,OutputStream,?,?> scheme)`

Method Summary
`boolean` `createResource(Properties conf)`
`boolean` `deleteResource(Properties conf)`
`String` `getIdentifier()`
`long` `getModifiedTime(Properties conf)`
`TupleEntryCollector` `openForWrite(FlowProcess<Properties> flowProcess, OutputStream output)`
`boolean` `resourceExists(Properties conf)`

Methods inherited from class cascading.tap.SinkTap
`getSourceFields, isSource, openForRead, sourceConfInit`

Methods inherited from class cascading.tap.Tap

`commitResource, createResource, deleteResource, equals, flowConfInit, getConfigDef, getFullIdentifier, getFullIdentifier, getModifiedTime, getScheme, getSinkFields, getSinkMode, getStepConfigDef, getTrace, hasConfigDef, hashCode, hasStepConfigDef, id, isEquivalentTo, isKeep, isReplace, isSink, isTemporary, isUpdate, openForRead, openForWrite, outgoingScopeFor, presentSinkFields, presentSourceFields, resolveIncomingOperationArgumentFields, resolveIncomingOperationPassThroughFields, resourceExists, retrieveSinkFields, retrieveSourceFields, rollbackResource, setScheme, sinkConfInit, taps, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StdErrTap

    public StdErrTap(Scheme<Properties,?,OutputStream,?,?> scheme)

Method Detail

### getIdentifier

    public String getIdentifier()

  Specified by:
    `getIdentifier` in class `Tap<Properties,Void,OutputStream>`

### openForWrite

    public TupleEntryCollector openForWrite(FlowProcess<Properties> flowProcess,
                                            OutputStream output)
                                     throws IOException

  Specified by:
    `openForWrite` in class `Tap<Properties,Void,OutputStream>`
  Throws:
    `IOException`

### createResource

    public boolean createResource(Properties conf)
                           throws IOException

  Specified by:
    `createResource` in class `Tap<Properties,Void,OutputStream>`
  Throws:
    `IOException`

### deleteResource

    public boolean deleteResource(Properties conf)
                           throws IOException

  Specified by:
    `deleteResource` in class `Tap<Properties,Void,OutputStream>`
  Throws:
    `IOException`

### resourceExists

    public boolean resourceExists(Properties conf)
                           throws IOException

  Specified by:
    `resourceExists` in class `Tap<Properties,Void,OutputStream>`
  Throws:
    `IOException`

### getModifiedTime

    public long getModifiedTime(Properties conf)
                         throws IOException

  Specified by:
    `getModifiedTime` in class `Tap<Properties,Void,OutputStream>`
  Throws:
    `IOException`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.